## Bsoft program

# bsupix

### Usage: bsupix [options] input.img output.img

Segments an image into superpixels.

### Actions:

-average 7,5,3 | Averaging/smoothing filter: kernel size.
-variance 11 | Calculate a local variance image using the given size kernel.
-superpixels 123 | Segment into superpixels with the given step size.
-impose | Assign segment average colors.
-colorize | Generate random segment colors.
-pattern neigbor | Calculate local or neighbor binary pattern.

### Parameters:

-verbose 7 | Verbose output.
-datatype u | Force writing of a new data type.

### Parameters for superpixel segmentation:

-iterations 50 | Number of segmentation iterations (default 10).
-weight 0.5 | Color weight (default 0.2).
-stop 1.5 | Stopping condition (default 1%).

Bsoft version 2.0.3-20180917 (64 bit)